Debian Bug report logs - #703735
ITP: libjson-types-perl -- variable type utility for JSON encoding

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jonas Smedegaard <dr@jones.dk>

Date: Fri, 22 Mar 2013 23:15:02 UTC

Owned by: Jonas Smedegaard <dr@jones.dk>

Severity: wishlist

Fixed in version libjson-types-perl/0.05-1

Done: Jonas Smedegaard <dr@jones.dk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#703735; Package wnpp. (Fri, 22 Mar 2013 23:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, pkg-perl-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Fri, 22 Mar 2013 23:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libjson-types-perl -- variable type utility for JSON encoding
Date: Sat, 23 Mar 2013 00:11:14 +0100
Package: wnpp
Severity: wishlist
Owner: Jonas Smedegaard <dr@jones.dk>

* Package name    : libjson-types-perl
  Version         : 0.05
  Upstream Author : Daisuke Murase <typester@cpan.org>
* URL             : http://search.cpan.org/dist/JSON-Types/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : variable type utility for JSON encoding

 The type mappings between JSON and Perl is annoying, because e.g. a
 number in Perl is under some circumstances treated as a string in JSON.
 .
 JSON::Types provides functions to fixate the types of variables passed
 to JSON.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 23 Mar 2013 07:06:06 GMT) Full text and rfc822 format available.

Reply sent to Jonas Smedegaard <dr@jones.dk>:
You have taken responsibility. (Tue, 16 Apr 2013 19:03:28 GMT) Full text and rfc822 format available.

Notification sent to Jonas Smedegaard <dr@jones.dk>:
Bug acknowledged by developer. (Tue, 16 Apr 2013 19:03:28 GMT) Full text and rfc822 format available.

Message #12 received at 703735-close@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: 703735-close@bugs.debian.org
Subject: Bug#703735: fixed in libjson-types-perl 0.05-1
Date: Tue, 16 Apr 2013 19:00:07 +0000
Source: libjson-types-perl
Source-Version: 0.05-1

We believe that the bug you reported is fixed in the latest version of
libjson-types-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703735@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Smedegaard <dr@jones.dk> (supplier of updated libjson-types-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 23 Mar 2013 00:28:47 +0100
Source: libjson-types-perl
Binary: libjson-types-perl
Architecture: source all
Version: 0.05-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Jonas Smedegaard <dr@jones.dk>
Description: 
 libjson-types-perl - variable type utility for JSON encoding
Closes: 703735
Changes: 
 libjson-types-perl (0.05-1) unstable; urgency=low
 .
   * Initial packaging release.
     Closes: bug#703735.
Checksums-Sha1: 
 c413ea8e964ed9c5601898299d877936339bb2c5 2093 libjson-types-perl_0.05-1.dsc
 30b906aca40534e4b27f373318f68240a12592fb 29585 libjson-types-perl_0.05.orig.tar.gz
 f742783cc36a31bca6512d362a871a2eadf30861 3049 libjson-types-perl_0.05-1.debian.tar.gz
 72f46fab1a7d0111c88f525c59a48957bd46eb84 9786 libjson-types-perl_0.05-1_all.deb
Checksums-Sha256: 
 1c71e59f761bfaa28dbe45b90b9838b1576c0c202bf633b37e85df368c8dc5fd 2093 libjson-types-perl_0.05-1.dsc
 f64dadf66ecb7b307b9a8689ea9eabf0fd3f6a9d820467c5eeaeddd13bced9eb 29585 libjson-types-perl_0.05.orig.tar.gz
 b57ae8a4d360bab0eb13482fcb2babd728fdbc53cb8390c69c75081809a199bc 3049 libjson-types-perl_0.05-1.debian.tar.gz
 20709590a24226e9d5ff8990b78de05eeabbc3b387da3b9f098bed4fbf8143be 9786 libjson-types-perl_0.05-1_all.deb
Files: 
 3f4f95888801962b4b80d3ef5b5614d9 2093 perl optional libjson-types-perl_0.05-1.dsc
 2c155bb5d1195dee6448ea944f3078f9 29585 perl optional libjson-types-perl_0.05.orig.tar.gz
 a6987c88d220d737e25717de94becd90 3049 perl optional libjson-types-perl_0.05-1.debian.tar.gz
 94e42a85211f9060fe435b772747c66b 9786 perl optional libjson-types-perl_0.05-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRTOmmAAoJECx8MUbBoAEh7+oQAItgGZIw5HZ+fVN/CLqPfpW7
oMiE9jwrMj0OwLlyYwIvqwkZnFEXU1sOgh4NBUPIG91bXSZ6dSvAuEd5bGcWFW95
9UDbi+csj9hq/R8IWpkvGBBKL5GPw3nylbYL3t80hKUuqdDzszJ0Mb/TnJ8CzF1M
l4s97xtMpamiwiLZIm4eFphm+2WnHGNAcOVFML1IvwR2KBa1yZWld+RDyQilYFGD
MDtwJhWfOf4vEvIaBQop0b9670aM6hBd1gffUI1eZw8k1CjHZTNHrMp7tkvbHLue
CmaqTSU4we7vBU6Qk8Krltzox+o6iuzj5gITe3+2E1kyIy9Z/auDrdXDXrOkQqqE
OBTXOrIH4xCsVqwSFO1HVDgxRwovIr8quyGOIMGm9SskiLCZfVRw4GUgEm/W2t0B
3GCa9X5KVT1TNrvql80VRm4CJDp5+FF/6b78xEdtIb2It/rKfwM2U93SJDB+OhZK
Nhcji7VKmHSEt3fOkkG2hh3GEjpFaehkY323x7LIgVjResfaSluK9IApP5v4eA9P
kuFr1eLzIdlY62wzqMPoxDsZDIafvbwte4GSSqjLpS29FxI14YiM7VbDHIBJdCX6
yV9onWzFNWArshH5Lh9OrnHMlF3/v9cVy1t8Gq9+czD9DQz5nL+V6Th2GY3IxNx6
F18KScnbJVcuBlu7kKn7
=NVOx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 15 May 2013 07:28:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:20:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.